# *****************************************************************
#
# Licensed Materials - Property of IBM 
#
# (C) Copyright IBM Corp. 2019. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# ******************************************************************

from __future__ import print_function
from pai4sk.simsearch import embeddings
import argparse
import os

defaultPath = "."
CLI=argparse.ArgumentParser()
CLI.add_argument(
    "--data_path",
    type=str,
    default=defaultPath
)
args = CLI.parse_args()

# This function load_word2vec_embeddings processes the Google word2vec embeddings in .bin format from the <data_path>/data/Embeddings directory location and dumps 2 files - `vectors.npy` and `vocabulary.txt` in the data directory <data_path>/data/.

def _get_mpi_local_rank():
    val = os.getenv('OMPI_COMM_WORLD_LOCAL_RANK')
    if val is None:
        return "0"
    else:
        return val

local_rank = _get_mpi_local_rank()

# LOAD EMBEDDINGS
if local_rank == "0":
    embeddings.load_word2vec_embeddings(args.data_path + '/data/Embeddings/GoogleNews-vectors-negative300.bin', args.data_path + "/data/vectors", args.data_path + "/data/vocabulary.txt")
